OpenapiAuth
Prepare a SIWE message
API Docs with browser clientVerify that a previously issued nonce still exists and return the canonical SIWE message payload to sign.
Authorization
apiKeyAuth x-api-key<token>
In: header
Query Parameters
signerAddress*string
Wallet address that will sign the SIWE message.
nonce*string
Nonce previously issued by the server for this signer.
Length
1 <= lengthchainId?integer
Optional EIP-155 chain ID to bind the SIWE session to.
Range
-9007199254740991 <= value <= 9007199254740991Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.namefi.dev/v-next/siwe/message?signerAddress=string&nonce=string"{
"valid": true,
"message": {
"address": null,
"chainId": -9007199254740991,
"domain": "string",
"expirationTime": "2019-08-24T14:15:22Z",
"issuedAt": "2019-08-24T14:15:22Z",
"nonce": "string",
"notBefore": "2019-08-24T14:15:22Z",
"requestId": "string",
"resources": [
"string"
],
"scheme": "string",
"statement": "string",
"uri": "http://example.com",
"version": "1"
},
"messageString": "string"
}{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Bad Request",
"data": null
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Unauthorized",
"data": null
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "Forbidden",
"data": null
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not Found",
"data": null
}{
"defined": true,
"code": "NOT_ACCEPTABLE",
"status": 406,
"message": "Not Acceptable",
"data": null
}{
"defined": true,
"code": "TIMEOUT",
"status": 408,
"message": "Request Timeout",
"data": null
}{
"defined": true,
"code": "CONFLICT",
"status": 409,
"message": "Conflict",
"data": null
}{
"defined": true,
"code": "PRECONDITION_FAILED",
"status": 412,
"message": "Precondition Failed",
"data": null
}{
"defined": true,
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Too Many Requests",
"data": null
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal Server Error",
"data": null
}